<?php
    function funraise_render_settings_page_content() {
        ?>
            <h1>Funraise Settings Page</h1>

            <h2>Getting Started</h2>

            <div>
                <p>We suggest getting started by reviewing <a href="https://help.funraise.io/en/articles/4995315-wordpress-plugin" target="_blank">Funraise's WordPress Plugin Guide</a></p>
            </div>

            <div>
                <p><strong>Step 1 - Create a Funraise account</strong></p>
                <p><a href="https://www.funraise.org/get-started" target="_blank">Create a Free Funraise account</a></p>
                <p>First, you'll need a Funraise account. This is where you'll create and customize your Giving Forms as well as manage all your Transactions and Supporters as they come in. Funraise provides a free platform.</p>
            </div>

            <div>
                <p><strong>Step 2 - Copy & Paste your form's shortcode</strong></p>
                <p>From inside Funraise, copy shortcodes for a Giving Form. Then, paste the shortcode into a WordPress page Text Editor.</p>
                <p>In Funraise, you can access a Giving Form's shortcode by navigating to: <strong>Giving Form > Publish > WordPress</strong></p>
                <p>For an easy to follow, step-by-step guide: <a href="https://help.funraise.io/en/articles/4995315-wordpress-plugin" target="_blank">Funraise's WordPress Plugin Guide</a></p>
            </div>

            <hr />

            <h2>Example shortcodes</h2>
            <div>
                <p><strong>BUTTON LAUNCHER</strong></p>
                <p>Place a button in your page layout. When this button is clicked, the donation form will popup to fill the full window. This is the recommended option because it handles both desktop and mobile very well out-of-the-box.</p>
                <p><code>[funraise button=your-custom-url-string]</code></p>
            </div>

            <div>
                <p><strong>PLACED FORM</strong></p>
                <p>You can also place an open form in your page layout.</p>
                <p><code>[funraise form=your-custom-url-string]</code></p>
            </div>
        <?php
    }

    funraise_render_settings_page_content();
?>